Update an email address

Update an email address

put
Path parameters
brandIdstringRequired

The id of the brand.

emailAddressIdstringRequired

The id of the email address to update.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

This class is used to create, update for the brand email address.

placeholderKeyTitlestring · nullableOptional

The placeholder key of the title, that value relate with email template.

titlestring · min: 1Required

The title of the email address.

placeholderKeyEmailAddressstring · nullableOptional

The placeholder key of the email address, that value relate with email template.

emailAddressstring · email · min: 1Required

The email address value.

descriptionstring · nullableOptional

The description.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

put
/api/v1/brands/{brandId}/email-addresses/{emailAddressId}

Last updated